--- /dev/null
+xvm-prodconfig (0.1) unstable; urgency=low
+
+ * Initial prodconfig release
+
+ -- Sam Hartman <hartmans@debian.org> Fri, 22 Aug 2008 16:40:35 -0400
--- /dev/null
+Source: xvm-prodconfig
+Section: servers
+Priority: important
+Maintainer: xvm@mit.edu
+Build-Depends: cdbs (>= 0.4.23-1.1), debhelper (>= 5)
+Standards-Version: 3.7.2
+
+Package: xvm-prodconfig
+Architecture: all
+Provides: invirt-config
+Conflicts: invirt-config
+Depends: ${shlibs:Depends}, ${misc:Depends}
+Description: XVM dev-cluster config
+ This is the master configuration package for the XVM development cluster.
--- /dev/null
+This package was created for the XVM project <xvm@mit.edu> of the MIT
+Student Information Processing Board.
+
+You may use it, etc, under the GNU GPL, version 2 or later.
--- /dev/null
+#!/usr/bin/make -f
+
+
+
+include /usr/share/cdbs/1/rules/debhelper.mk
--- /dev/null
+#!/bin/sh
+# postinst script
+#
+# see: dh_installdeb(1)
+
+set -e
+set -x
+
+# summary of how this script can be called:
+# * <postinst> `configure' <most-recently-configured-version>
+# * <old-postinst> `abort-upgrade' <new version>
+# * <conflictor's-postinst> `abort-remove' `in-favour' <package>
+# <new-version>
+# * <postinst> `abort-remove'
+# * <deconfigured's-postinst> `abort-deconfigure' `in-favour'
+# <failed-install-package> <version> `removing'
+# <conflicting-package> <version>
+# for details, see http://www.debian.org/doc/debian-policy/ or
+# the debian-policy package
+
+
+case "$1" in
+ configure)
+ /usr/sbin/invirt-reload
+ ;;
+
+ abort-upgrade|abort-remove|abort-deconfigure)
+ ;;
+
+ *)
+ echo "postinst called with unknown argument \`$1'" >&2
+ exit 1
+ ;;
+esac
+
+# dh_installdeb will replace this with shell code automatically
+# generated by other debhelper scripts.
+
+#DEBHELPER#
+
+exit 0
--- /dev/null
+authn:
+ - type: kerberos
+ realm: ATHENA.MIT.EDU
+
+authz:
+ - type: afs
+ cell: athena.mit.edu
+
+hosts: # hosts on which VMs run
+ - hostname: citadel-station.mit.edu
+ ip: 18.181.0.221
+
+apt:
+ keyid: 35AE3C4F
+
+db:
+ uri: postgres://sipb-xen@xvm-2.mit.edu/sipb_xen
+ host: xvm-2.mit.edu
+ port: 5432
+ user: sipb-xen
+ dbname: sipb_xen
+